package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesContainerSnBindModel;
import io.swagger.annotations.ApiOperation;

public interface IMesContainerSnBindService {
    @ApiOperation("扫描容器条码")
    MesContainerSnBindModel doScanContainer(MesContainerSnBindModel model);

    @ApiOperation("扫描零件条码")
    MesContainerSnBindModel doScanBarcode(MesContainerSnBindModel model, boolean bStep);

    @ApiOperation("清空")
    MesContainerSnBindModel doClear(MesContainerSnBindModel model);

    @ApiOperation("删除")
    MesContainerSnBindModel doDeleteDetails(MesContainerSnBindModel model);

    @ApiOperation("强制关箱")
    MesContainerSnBindModel doClosePackage(MesContainerSnBindModel model);

    @ApiOperation("开箱")
    MesContainerSnBindModel doOpenPackage(MesContainerSnBindModel model);
}
